java.awt.image

## Class RasterFormatException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.awt.image.RasterFormatException

All Implemented Interfaces:
  Serializable

    public class RasterFormatException
    extends RuntimeException

The `RasterFormatException` is thrown if there is invalid layout information in the `Raster`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`RasterFormatException(String s)` Constructs a new `RasterFormatException` with the specified message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RasterFormatException

    public RasterFormatException(String s)

Constructs a new `RasterFormatException` with the specified message.

Parameters:
  `s` - the message to generate when a `RasterFormatException` is thrown

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.